import useConversationsStore from "@/feature/messenger/store/chat_store/useConversationsStore";
import { useTranslation } from "@/hooks/useTranslation";
import { Badge, Button, Tooltip } from "@nextui-org/react";
import { MessageCircle } from "react-feather";


export default function CountMessagesBadge() {

    const defaultListConversation = useConversationsStore(state => state.defaultListConversation);
    const countMessages = defaultListConversation.length >= 99 ? '99+' : defaultListConversation.length;
    const { trans } = useTranslation();

    return (
        <Badge content={countMessages} shape="circle" color="danger">
            <Tooltip
                    placement="top"
                    content={trans('footer_count_conversation_badge_title')}	
                    color="default"
            >
                <Button
                    radius="full"
                    className="min-w-10 min-h-10 size-10 p-0"
                    variant="solid"
                    color="default"
                >
                    <MessageCircle size={24} />
                </Button>
            </Tooltip>
        </Badge>
    )
}